/* ========================================
 *  BitShiftPan - BitShiftPan.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __BitShiftPan_BitShiftPan_H
#define __BitShiftPan_BitShiftPan_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::BitShiftPan {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class BitShiftPan final : public SfxCoreExtensionV1
{
public:
    BitShiftPan();
    ~BitShiftPan();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
